List personal access tokens
Lists the user’s personal access tokens with name, expiry, and last-use metadata. Token values are never returned on reads.
GET
/v2/ users/ me/ tokensResponse
The user’s tokens.
Errors
401
Missing or invalid token, or the token is not authorized for this account/user.
See Errors and rate limits for what error responses look like.
curl --location --request GET 'https://api.sendstreak.com/v2/users/me/tokens' \
--header 'Authorization: Bearer YOUR_API_TOKEN'
const res = await fetch('https://api.sendstreak.com/v2/users/me/tokens', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.SENDSTREAK_TOKEN}`
}
});
import os, requests
res = requests.get(
'https://api.sendstreak.com/v2/users/me/tokens',
headers={'Authorization': f"Bearer {os.environ['SENDSTREAK_TOKEN']}"},
)
{
"start": 0,
"limit": 25,
"items": [
{
"_id": "665f0a2b1c9d440012ab34cd",
"name": "Example name",
"createDate": "2026-07-07T09:30:00.000Z",
"expiresAt": "2026-07-07T09:30:00.000Z",
"lastUsedAt": "2026-07-07T09:30:00.000Z"
}
]
}